# com.sun.messaging.jms

## Interfaces

- Connection
- Message
- QueueConnection
- Session
- TopicConnection

## Exceptions

- IllegalStateException
- InvalidClientIDException
- InvalidDestinationException
- InvalidSelectorException
- JMSException
- JMSSecurityException
- MessageEOFException
- MessageFormatException
- MessageNotReadableException
- MessageNotWriteableException
- ResourceAllocationException
- TransactionInProgressException
- TransactionRolledBackException